Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.envers
Annotation Type RevisionEntity

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface RevisionEntity

Marks an entity to be created whenever a new revision is generated. The revisions entity must have an integer-valued unique property (preferably the primary id) annotated with `RevisionNumber` and a long-valued property annotated with `RevisionTimestamp`. The `DefaultRevisionEntity` already has those two fields, so you may extend it, but you may also write your own revision entity from scratch.

Optional Element Summary
`Class<? extends RevisionListener>` | `value`

### value

    public abstract Class<? extends RevisionListener> value

  Returns:
    The optional listener that will be used to fill in the custom revision entity. May also be specified using the `org.hibernate.envers.revision_listener` configuration property.
  Default:
    org.hibernate.envers.RevisionListener.class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.